Subject: Re: [PATCH v3] virtio-net: Fix probe of virtio-net on kvmtool

From: Jakub Kicinski <[email-masked]>
Date: Fri, 3 Mar 2023 16:46:03 -0800

On Thu, 2 Mar 2023 04:48:38 -0500 Michael S. Tsirkin wrote:
> > Looks not the core can try to enable and disable features according to
> > the diff between features and hw_features
> > 
> > static inline netdev_features_t netdev_get_wanted_features(
> >         struct net_device *dev)
> > {
> >         return (dev->features & ~dev->hw_features) | dev->wanted_features;
> > }
> 
> yes what we do work according to code.  So the documentation is wrong then?

It's definitely incomplete but which part are you saying is wrong?